<?php
/**
 * Customizer Partial Functions
 *
 * @package Graduate_Pro
 * @since Graduate Pro 1.0
 */

if ( ! function_exists( 'graduate_pro_partial_top_bar_phone' ) ) :
	// Top Bar Phone
	function graduate_pro_partial_top_bar_phone() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['top_bar_detail_phone'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_top_bar_location' ) ) :
	// Top Bar Phone
	function graduate_pro_partial_top_bar_location() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['top_bar_detail_location'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_trending_course_title' ) ) :
	// Trending Course Title
	function graduate_pro_partial_trending_course_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['trending_courses_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_trending_course_description' ) ) :
	// Trending Course Description
	function graduate_pro_partial_trending_course_description() {
		$options = graduate_pro_get_theme_options();
		return strip_tags( htmlspecialchars_decode( $options['trending_courses_description'] ) );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_top_destination_title' ) ) :
	// Top Destination Title
	function graduate_pro_partial_top_destination_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['top_destination_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_top_destination_description' ) ) :
	// Top Destination Description
	function graduate_pro_partial_top_destination_description() {
		$options = graduate_pro_get_theme_options();
		return strip_tags( htmlspecialchars_decode( $options['top_destination_description'] ) );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_map_section_title' ) ) :
	// Map Section Title
	function graduate_pro_partial_map_section_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['map_section_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_news_events_title' ) ) :
	// News and Events Title
	function graduate_pro_partial_news_events_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['news_events_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_news_events_description' ) ) :
	// News and Events Description
	function graduate_pro_partial_news_events_description() {
		$options = graduate_pro_get_theme_options();
		return strip_tags( htmlspecialchars_decode( $options['news_events_description'] ) );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_social_section_title' ) ) :
	// Social Section Title
	function graduate_pro_partial_social_section_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['social_section_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_testimonial_title' ) ) :
	// Social Section Title
	function graduate_pro_partial_testimonial_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['testimonial_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_counter_title' ) ) :
	// Counter Section Title
	function graduate_pro_partial_counter_title() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['counter_heading_title'] );
	}
endif;

if ( ! function_exists( 'graduate_pro_partial_counter_description' ) ) :
	// Counter Section description
	function graduate_pro_partial_counter_description() {
		$options = graduate_pro_get_theme_options();
		return esc_html( $options['counter_heading_description'] );
	}
endif;